apport-gtk crashed with configparser.DuplicateOptionError in _read(): While reading from /usr/share/applications/gnome-system-monitor.desktop [line 17]: option 'keywords' in section 'Desktop Entry' already exists

Bug #1039889 reported by piotrekw1 on 2012-08-22
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Medium
Unassigned
gnome-system-monitor (Ubuntu)
Undecided
Canonical Desktop Team

Bug Description

after actualisation

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: apport-gtk 2.4-0ubuntu9
ProcVersionSignature: Ubuntu 3.5.0-11.11-generic 3.5.2
Uname: Linux 3.5.0-11-generic x86_64
ApportLog:

ApportVersion: 2.4-0ubuntu9
Architecture: amd64
CrashCounter: 1
Date: Wed Aug 22 07:30:53 2012
ExecutablePath: /usr/share/apport/apport-gtk
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120731.1)
InterpreterPath: /usr/bin/python3.2mu
PackageArchitecture: all
ProcCmdline: /usr/bin/python3 /usr/share/apport/apport-gtk
ProcEnviron:
 PATH=(custom, no user)
 LANG=pl_PL.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/share/apport/apport-gtk']
SourcePackage: apport
Title: apport-gtk crashed with configparser.DuplicateOptionError in _read(): While reading from /usr/share/applications/gnome-system-monitor.desktop [line 17]: option 'keywords' in section 'Desktop Entry' already exists
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

piotrekw1 (piotrekw1) wrote :
tags: removed: need-duplicate-check
Changed in apport (Ubuntu):
importance: Undecided → Medium
visibility: private → public
Martin Pitt (pitti) wrote :

This is a real bug in g-s-m's .desktop file, it shoudl not have two Keyword= lines.

I'll fix apport to not crash on that, though.

Changed in gnome-system-monitor (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
status: New → Triaged
Changed in apport (Ubuntu):
status: New → In Progress
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

Fixed in apport trunk r2474.

Changed in apport (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-system-monitor - 3.5.90.1-0ubuntu2

---------------
gnome-system-monitor (3.5.90.1-0ubuntu2) quantal; urgency=low

  * debian/patches/01_add_keywords.patch:
    - dropped, the keywords are in the new version (lp: #1039889)
 -- Sebastien Bacher <email address hidden> Fri, 24 Aug 2012 15:36:42 +0200

Changed in gnome-system-monitor (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.5.2-0ubuntu1

---------------
apport (2.5.2-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Fix crash on broken .desktop files. (LP: #1039889)
    - apport-gtk: For console program crashes, say "stopped" instead of
      "closed". Add a subtitle label with a hint about hanging programs.
      Thanks Matt Price and Matthew Paul Thomas!
    - report.py: Fix crash on determination of Python module path when
      examining a crash of "python -m ...".
    - apport-kde: Fix crash with undefined QString under Python 3. Thanks
      Jonathan Riddell! (LP: #1028984)
    - launchpad.py: Add missing "Pre-release Freeze" status. Thanks Brian
      Murray!
    - report.py, _check_bug_pattern(): Fix bug pattern matching against binary
      values. Thanks Brian Murray for the original patch. (LP: #1016380)
  * debian/control: Move x-terminal-emulator dependency from apport-retrace to
    -gtk and -kde. It's those which actually spawn an X terminal for
    apport-retrace to run in, and this lessens the dependencies for
    apport-retrace on server type systems.
  * Add debian/apport.maintscript: Clean up obsolete precise conffile
    /etc/apport/native-origins.d/lts-q-backports on upgrades. (LP: #1049058)
  * data/general-hooks/ubuntu.py: Fix PEP-8 errors.
 -- Martin Pitt <email address hidden> Mon, 17 Sep 2012 14:15:41 +0200

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers